using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Metadata.Builders;
using System;
using System.Collections.Generic;
using System.Text;

namespace WindowsFormsApp1
{
    public class EmployeesType : IEntityTypeConfiguration<Employees>
    {
        public void Configure(EntityTypeBuilder<Employees> builder)
        {
            builder.ToTable("user_profile");

            builder.HasKey(x => x.id);


            builder.Property(x => x.id).HasColumnName("id");
            builder.Property(x => x.name).HasColumnName("name");
            builder.Property(x => x.sername).HasColumnName("sername");
         
        }
    }
}
